﻿##New in 2.0
- (Optional) Multiplayer Config Syncing with [Mod Config Enforcer](https://www.nexusmods.com/valheim/mods/460). No more manually copying configs between your friends!
- Better configs, control over each feature separately. (You will need to redo your configs).
- New Feature: RaidersPersistAfterRaid. Raid mobs will become normal mobs instead of despawning when raids end.
- Bug fixes, optimizations, and small tweaks to enable better compatibility with other mods like [Custom Raids](https://www.nexusmods.com/valheim/mods/278).


# RRR Better Raids

- Dramatically improves the vanilla raid experience to make raids and base defense actually matter.
  

- Inspired largely by Dwarf Fortress and Rimworld raids.


- Increased raid variety with new raids (you can disable any you don't like in configs).
  - Effortless (optional) integration with my other mods, [RRR Monsters](https://github.com/astradamus/RRRMonsters) and/or [RRR Non-Player Characters](https://github.com/astradamus/RRRNpcs), adding even more new raids, and adding new enemies to higher tiers of raids!
  

- Progression Tier scaling for all events.
  - There are now higher tier versions of each vanilla raid that are unlocked as you advance boss progression, increasing variety and difficulty as you go.
  

- Raids are more consistent and will occur more reliably.
  - You can tune the frequency to your liking in config as well.
  

- Enemies no longer respawn.
  - You are attacked by one wave that spawns all at once up front. 
  

- Raids are no longer time-based.
  - They continue until all enemies are dead. No more hiding till it's over :)
  

- Raiders are no longer aimless and forgetful.
  - They will hunt you, and attack you or your base until defeated.
  

- Robust config choices allow enabling and disabling of all features a la carte, to fit personal taste and help with mod compatibility.
  

- Compatible with ASharpPen's [Custom Raids](https://www.nexusmods.com/valheim/mods/278), and should be compatible with any raid/event mods that are not overly destructive in their coding.


## Setup

Extract the dll file to your `Valheim\BepInEx\plugins` folder. Config files must be in `Valheim\BepInEx\config` (subfolders are okay). Config files will also be generated automatically if missing.

## Help!

If you need further assistance, feel free to bug me (@neurodr0me) in the Valheim Modding Discord at https://discord.gg/MXqWrn532w
